For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTGetAccountInfo
        • POSTSetAccountInfo
        • POSTSetChildAccountInfo
        • POSTGetCurrencyRate
        • POSTGetResourcePrice
        • POSTGetSubscriptionPrice
        • POSTGetChildrenAccounts
        • POSTGetMoneyAmountToCharge
        • POSTChangeAccountPlan
        • POSTGetAccountPlans
        • POSTGetAvailablePlans
        • POSTGetAccountDocuments
        • POSTGetAccountVerifications
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceAccounts

ChangeAccountPlan

||View as Markdown|
POST
https://api.voximplant.com/platform_api/ChangeAccountPlan
POST
/platform_api/ChangeAccountPlan
$curl -X POST "https://api.voximplant.com/platform_api/ChangeAccountPlan?plan_type=IM&plan_subscription_template_id=1024" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Success
1{
2 "result": 1,
3 "account_info": {
4 "account_id": 789456,
5 "frozen": false,
6 "balance": 150.75,
7 "currency": "USD"
8 }
9}

Configures the account’s plan.

Please note that when you change the billing plan, we reserve the subscription fee and taxes for the upcoming month. Read more in the Billing page.

Example request: Change the IM plan.

Was this page helpful?
Previous

GetMoneyAmountToCharge

Next

GetAccountPlans

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

plan_typestringRequired
The plan type to config. The possible values are IM, MAU
plan_subscription_template_idintegerOptional

The new plan ID with a price larger than the current plan’s (see [GetAvailablePlans])

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully
account_infoobject
The current account state